Get detailed information about a specific LinkedIn job listing by URL. Returns job title, company, location, posting date, job type, experience level, workplace type, industry, salary, benefits, full description, and company logo.
curl "https://apidirect.io/v1/linkedin/job?url=https://linkedin.com/jobs/view/4417833240" \
-H "X-API-Key: YOUR_API_KEY"
{
"title": "Senior Software Engineer",
"url": "https://www.linkedin.com/jobs/view/4417833240/",
"company": "Stripe",
"company_id": "2135371",
"company_url": "https://www.linkedin.com/company/stripe",
"company_logo": "https://media.licdn.com/dms/image/.../company-logo.jpg",
"location": "San Francisco, CA",
"date": "2026-05-20 14:30:00",
"job_type": "full_time",
"experience_level": "mid_senior",
"workplace_type": "hybrid",
"industry": "Technology, Information and Internet",
"job_functions": "ENG, IT",
"description": "We are looking for a Senior Software Engineer to join our team...",
"salary": "$180,000 - $250,000",
"benefits": "",
"apply_url": "https://stripe.com/jobs/listing/senior-software-engineer/1234",
"applicants": "200+ applicants"
}